#include <iostream>

using namespace std;

void Sortiraj(unsigned long int niz[], unsigned long int brojelemenata)
{
    unsigned long int temp;
    for (unsigned long int i = 0; i < brojelemenata - 1; i++)
    {
        for (unsigned long int j = i + 1; j < brojelemenata; j++)
        {
            if (niz[i] < niz[j])
            {
                temp = niz[i];
                niz[i] = niz[j];
                niz[j] = temp;
            }
        }
    }
}

int main()
{
    unsigned long int N;
    cin >> N;
    unsigned long int A[N];
    unsigned long int A1[N];
    unsigned long int temp;
    unsigned long int vrednoststarog, pozicijastarog;
    unsigned long int brojac = 0;
    unsigned long int brojacistog = 0;
    for (unsigned long int i = 0; i < N; i++)
    {
        cin >> A[i];
        A1[i] = A[i];
    }
    Sortiraj(A1, N);
    for (unsigned long int i = 0; i < N; i++)
    {
        if (A[i] == A1[i])
        {
            brojac++;
        }

    }
    for (unsigned long int i = 0; i < N - 1; i++)
    {
        if (A1[i] == A1[i + 1])
        {
            brojacistog++;
        }
    }
    if (brojac == N)
    {
        if (brojacistog > 0)
        {
            for (unsigned long int i = 0; i < N; i++)
            {
                A[i] = A1[i];
            }
        }
        else
        {
            temp = A[N - 1];
            A[N - 1] = A[N - 2];
            A[N - 2] = temp;
        }
    }
    else
    {
        for (unsigned long int i = 0; i < N; i++)
        {
            if (A[i] < A1[i])
            {
                vrednoststarog = A1[i];
                pozicijastarog = i;
                break;
            }
        }
        for (unsigned long int i = N - 1; i >= 0; i--)
        {
            if (A[i] == vrednoststarog)
            {
                temp = A[i];
                A[i] = A[pozicijastarog];
                A[pozicijastarog] = temp;
                break;
            }
        }
    }
    for (unsigned long int i = 0; i < N; i++)
    {
        cout << A[i] << " ";
    }
}